package Parkhaus;

import java.util.ArrayList;
import java.util.HashSet;
import java.util.Random;
import java.util.Set;

/*kennzeichenzufaelliggenerieren:
 * 
 *  - Diese Klasse hat nur die Aufgabe, zufällige Kennzeichen zu generieren
 *  - immer wenn diese Klasse ein zufälliges Kennzeichen generiert,
 *  - Hashset verwenden, damit das System nicht für mehrere Autos dasselbe Kennzeichen generiert

 */
public class kennzeichenzufaelliggenerieren {
	// Keine Duplikate
	private static  Set<String> speichereEindutigeNummern = new HashSet<>();
	private static final String[] ersteZweiZeichen = { "MA", "HD", "KA", "FF", "ROK", "BW", "HH", "B", "D" };
	private static final String[] zweiteZweizeichen = { "ME", "SH", "DF", "KC", "FT", "GH", "OM", "KL", "CV" };
	private static String eindutigeZahlen = "";
	private static Random random = new Random();

	public static String kennzeichengenerieren() {
		String zufaelligeKennzeichen;

		zufaelligeKennzeichen = ersteZweiZeichen[random.nextInt(ersteZweiZeichen.length)];
		zufaelligeKennzeichen += "-" + zweiteZweizeichen[random.nextInt(zweiteZweizeichen.length)] + " ";

		do {
			eindutigeZahlen = "";
			for (int i = 1; i <= 4; i++)
				eindutigeZahlen += random.nextInt(10);

		} while (speichereEindutigeNummern.contains(eindutigeZahlen));
	
		speichereEindutigeNummern.add(eindutigeZahlen);
		zufaelligeKennzeichen += eindutigeZahlen;

		if (random.nextBoolean())
			zufaelligeKennzeichen += "E";

		return zufaelligeKennzeichen;

	}

}